@charset "UTF-8";

@media all {
	.step-list {
		counter-reset: num;
	}

	.step-item {
		counter-increment: num;
		position: relative;
	}

	.step-item::before {
		content: '';
		position: absolute;
		bottom: 0;
		left: -0.5em;
		display: block;
		width: 1em;
		height: 1em;
		border-radius: 0.5em;
		background: #3B4C85;
		z-index: 2;
	}

	.border-line {
		z-index: -1;
	}

	.step-image img {
		mask-image: url(../img/service/design/clip-path.svg);
		mask-repeat: no-repeat;
		mask-size: 100%;
		-webkit-mask-image: url(../img/service/design/clip-path.svg);
		-webkit-mask-repeat: no-repeat;
		-webkit-mask-size: 100%;
	}

	.step-item:last-child .step-image img {
		mask-image: url(../img/service/design/clip-path-2.svg);
		-webkit-mask-image: url(../img/service/design/clip-path-2.svg);
	}

	.step-number {
		position: absolute;
		z-index: 1;
	}

	.step-ttl {
		font-weight: bold;
		color: #3B4C85;
	}

	.step-button .btn_open {
		position: relative;
		margin-top: .75em;
		padding: .75em 2.75em .75em .75em;
		background: #3B4C85;
		color: #fff;
		line-height: 1;
		cursor: pointer;
		transition: .3s;
	}

	.step-button .btn_open::before,
	.step-button .btn_open::after {
		content: '';
		position: absolute;
		top: 1.125em;
		right: .875em;
		height: .143em;
		width: 1em;
		background-color: #fff;
	}

	.step-button .btn_open::before {
		transform: scale(1.1, 1);
	}

	.step-button .btn_open::after {
		transform: rotate(90deg);
		transition: .3s;
	}

	.sub_open .step-button .btn_open::after {
		transform: rotate(360deg);
		opacity: 0;
	}

	.step-sub_list {
		display: none;
		background: #F2F2F2;
	}

	.sub_list-ttl {
		color: #3B4C85;
		font-weight: bold;
	}


	.border-line {
		position: absolute;
	}
}

/* sp */
@media only screen and (max-width: 767px) {
	.section-design-content {
		margin-top: 30vw;
		padding: 0 var(--sp-vw-16px);
	}

	.step-item {
		padding-bottom: var(--sp-vw-32px);
	}

	.step-item::before {
		top: -.5em;
		left: calc(10% - .5em);
		font-size: var(--sp-vw-12px);
	}
	.border-line {
		left: 10%;
	}

	.step-pc-left {
		position: relative;
	}

	.step-number {
		bottom: 5%;
		left: 5%;
		width: var(--sp-vw-100px);
	}

	.step-number img {
		width: 100%;
	}

	.step-image {
		height: 56.25vw;
	}

	.step-image img {
		object-fit: cover;
		width: 100%;
		height: 100%;
		mask-image: url(../img/service/design/clip-path-sp.svg);
		mask-repeat: no-repeat;
		mask-size: 100%;
		-webkit-mask-image: url(../img/service/design/clip-path-sp.svg);
	}

	.step-item:last-child .step-image img {
		mask-image: url(../img/service/design/clip-path-sp.svg);
		-webkit-mask-image: url(../img/service/design/clip-path-sp.svg);
	}

	.step-dl {
		padding-left: 20%;
	}

	.step-ttl {
		font-size: var(--sp-vw-24px);
		text-align: center;
	}

	.step-button {
		font-size: var(--sp-vw-12px);
		text-align: right;
	}

	.step-sub_list {
		margin-top: var(--sp-vw-16px);
		padding: var(--sp-vw-16px);
	}

	.sub_list-ttl {
		font-size: var(--sp-vw-18px);
	}
}

/* tab & pc */
@media print,
(min-width: 768px) {
	.step-list {
		margin: 0 auto;
		padding: 0 20px;
		max-width: 1040px;
	}

	.step-item {
		padding-bottom: 40px;
	}

	.step-item::before {
		top: -.5em;
		left: calc(10% - 7px);
		font-size: 15px;
	}

	.border-line {
		top: -.5em;
		left: 10%;
	}

	.dummy-timeline .timeline {
		height: 350px;
	}

	.step-item:last-child .border-line {
		display: none;
	}

	.step-inner {
		display: flex;
		justify-content: space-between;
		margin: 0 auto;
		padding: 0 20px;
		max-width: 1040px;
	}

	.step-pc-left,
	.step-pc-right {
		width: 47%;
	}

	.step-number {
		top: 10px;
		left: calc(50% - 68px);
	}

	.step-dl {
		margin-top: 90px;
	}

	.step-ttl {
		font-size: 24px;
	}

	.step-text {
		margin-top: 10px;
	}

	.step-button .btn_open {
		font-size: 14px;
	}

	.step-item.step2 .step-inner {
		position: relative;
		z-index: 1;
	}

	.step-item.step2 .step-sub_list {
		position: relative;
		transform: translateY(-40px);
	}

	.step2 .sub_list-ul {
		display: flex;
		flex-direction: column;
		flex-wrap: wrap;
		align-content: space-between;
		margin: 0 auto;
		padding: 70px 20px 30px;
		max-width: 1040px;
		height: 550px;
	}

	.step2 .sub_list-item {
		width: 47%;
		max-width: 470px;
	}

	.step2 .sub_list-ttl {
		font-size: 18px;
	}

	.step2 .sub_list-text {
		font-size: 14px;
		margin-bottom: 10px;
	}
}

/* tab */
@media (min-width: 768px) and (max-width: 1024px) {
	.section-header-lead {
		width: 500px;
	}

	.step-item {
		padding-bottom: 50px;
	}

	.step-number {
		top: -50px;
	}

	.step-dl {
		margin-top: 40px;
	}

	.step2 .sub_list-ul {
		height: 600px;
	}
}